-- Wordpress und mysql installieren und miteinander verknüpfen

-- 1 MySQL-Container erstellen und starten => Datenbank
-- 2 WordPress-Container  erstellen und Port 80 des Containers an lokal 8080 weiterleiten
-- 3 WordPress und die MySQL-Datenbank über ein Docker Netzwerk verbinden
-- 4 Connectionstring zur WordPress-Site hinzufügen

-- Schritt 1:
 docker run --name wp-backend -e MYSQL_ROOT_PASSWORD=12345 -d mysql:latest

-e -> Umgebungsvariablen
-d -> losgelöster Modus (läuft im Hintergrund)

-- warten bis Container angelegt
docker exec -it wp-backend mysql -u root -p

exec -> Befehl innerhalb des Containers ausführen
-it mysql-> mit dem interaktiven Terminal von MySQL
-u root -p -> Der Befehl, der direkt ausgeführt werden soll
-u -> Benutzername
-p ->  Passwort (MYSQL_ROOT_PASSWORD)

-- Nach der Anmeldung Datenbank erzeugen
 create database wordpress;

-- Container verlassen
exit


--Schritt 2:
-- WordPress-Frontend erstellen.

docker run -d --name wp-frontend -p 8080:80 wordpress

-p -> Anschlüsse
8080:80 ->  8080 des Host-Rechners mit 80 des WordPress-Containers mappen -- Warten und Webseite öffnen localhost:8080

--Schritt 3:
-- WordPress-Container kann nicht auf MySQL-Container zugreifen, also erstellen wir ein neue Netzwerkschnittstelle
 docker network create --attachable wp-network 

--attachable -> Erlaubt das manuelle Hinzufügen von Containern zu diesem Netzwerk.
-- Die 2 Container wp-frontend und wp-backend in das wp-network Netzwerk hinzufügen.

docker network connect wp-network wp-frontend
docker network connect wp-network wp-backend


Schritt 4:
Aufruf localhost:8080 und Details eingeben

Datenbank Name -> wordpress

Benutzername -> root

Passwort -> das von Ihnen festgelegte Passwort (MYSQL_ROOT_PASSWORD)

Datenbank-Host -> wp-backend





Quelle:
https://pavangudiwada.hashnode.dev/wordpress-mysql-simple-docker-project

